<?php

declare(strict_types=1);

namespace App\Framework\Router;

use App\Framework\Core\Route;

final readonly class RouteMatchSuccess implements RouteMatch
{
    public function __construct(
        public Route $route
    ) {
    }

    public function isMatch(): bool
    {
        return true;
    }
}
